Bug 8825 - pnmtotiff in libgr-progs stops working after libtiff upgrade
Summary: pnmtotiff in libgr-progs stops working after libtiff upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: libtiff (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-25 03:19 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-02 15:22:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2000-01-25 03:19:02 UTC
After I upgraded libtiff to libtiff-3.5.4-2 from the RawHide, pnmtotiff
started reporting, "pnmtotiff: error in loading shared libraries:
/usr/lib/libtiff.so.3: undefined symbol: jpeg_resync_to_restart".  I guess
this means that either some symbols that used to be in libtiff were
removed, or there were implicit lib dependencies built into libtiff that
were removed.

I fixed this by adding "-ljpeg -lz" to the end of the LOADLIBES line in
Makefile.tiff in libgr-config.patch and rebuilding.

Comment 1 Nalin Dahyabhai 2000-02-02 15:22:59 UTC
Good catch.  This was fixed in libtiff-3.5.4-3, I think.  Definitly fixed
in -4, regardless.


Note You need to log in before you can comment on or make changes to this bug.